[Résolu]Installation LibreOffice en erreur

Répondre
Jean-M
Messages : 118
Inscription : 06 juin 2014, 23:21
Localisation : Pays basque

[Résolu]Installation LibreOffice en erreur

Message par Jean-M » 30 septembre 2020, 18:48

Bonsoir,
J'essaye d'installer une version récente de LibreOffice récupérée sur le site de l'appli.
Voici ma commande et son résultat :

Code : Tout sélectionner

# rpm --upgrade /home/rootMemo/LibreOffice/6.4.6/RPMS/*.rpm
/bin/update-desktop-database
/bin/update-mime-database
mkdir: impossible de créer le répertoire « /usr/share/icons/hicolor/icon-theme.cache »: N'est pas un dossier
mkdir: impossible de créer le répertoire « /usr/share/icons/hicolor/index.theme »: N'est pas un dossier
/bin/gtk-update-icon-cache
/bin/update-desktop-database
/bin/update-desktop-database
#
Voici le contenu du répert. :

Code : Tout sélectionner

# ll /usr/share/icons/hicolor/
total 136
drwxr-xr-x. 15 root root  4096 27 mars   2020 128x128
...
drwxr-xr-x. 15 root root  4096 27 mars   2020 96x96
-rw-r--r--   1 root root 19856 30 sept. 18:23 icon-theme.cache
-rw-r--r--.  1 root root 55507 30 août   2017 index.theme
drwxr-xr-x. 15 root root  4096 27 mars   2020 scalable
drwxr-xr-x.  4 root root  4096 27 mars   2020 symbolic
La version courante sur mon système est la 6.3.5
Dernière modification par Jean-M le 04 octobre 2020, 18:02, modifié 1 fois.
Jean-M - Retraité ex-Ingénieur d'étude sur Grands Systèmes et Consultant Qualité
Équipement : CentOS Linux 8.1 (sur fixe I5-4690+GT1030 16Go)

Avatar de l’utilisateur
nouvo09
Messages : 2195
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: Installation LibreOffice en erreur

Message par nouvo09 » 01 octobre 2020, 10:13

Tu attendais quoi au juste ? Quelle est la question ?
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Jean-M
Messages : 118
Inscription : 06 juin 2014, 23:21
Localisation : Pays basque

Re: Installation LibreOffice en erreur

Message par Jean-M » 02 octobre 2020, 20:32

Bonsoir,
Simplement savoir quelle est la cause de cette erreur et comment y remédier.
Je sais que ce n'est pas standard, donc je n'ai théoriquement à m'en prendre qu'à moi même... mais un utilisateur a peut-être eu un pb similaire et une solution.
Merci d'avance
PS Toutefois ça semble s'être installé correctement (6.4.6) mais j'ai du supprimer manuellement les rpm de la version précédente (6.3.5).
Jean-M - Retraité ex-Ingénieur d'étude sur Grands Systèmes et Consultant Qualité
Équipement : CentOS Linux 8.1 (sur fixe I5-4690+GT1030 16Go)

Avatar de l’utilisateur
nouvo09
Messages : 2195
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: Installation LibreOffice en erreur

Message par nouvo09 » 02 octobre 2020, 20:44

Bon il n'y a aucune erreur, c'est un comportement habituel.
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Jean-M
Messages : 118
Inscription : 06 juin 2014, 23:21
Localisation : Pays basque

Re: Installation LibreOffice en erreur

Message par Jean-M » 04 octobre 2020, 18:01

Bonjour,
Mais la fonction «rpm --upgrade» n'est-elle pas censée installer une version nouvelle (ce qui a été fait) et supprimer la version précédente (action qui semble avoir été oublié)

... Mais puisse-que c'est un comportement habituel... de tenter une action "répertoire" sur des fichiers, Peut-être est-ce une anomalie dans les scripts de création d'un des rpm des livraisons de LibreOffice.
Toutefois, je vais fermer le sujet.
Merci encore de ta réponse.
Jean-M - Retraité ex-Ingénieur d'étude sur Grands Systèmes et Consultant Qualité
Équipement : CentOS Linux 8.1 (sur fixe I5-4690+GT1030 16Go)

Avatar de l’utilisateur
nouvo09
Messages : 2195
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: [Résolu]Installation LibreOffice en erreur

Message par nouvo09 » 04 octobre 2020, 21:02

Il faut regarder dans /opt si tu as bien les deux répertoires, celui de la 6.4 et celui de la 6.3

Autant que je me souvienne c'est le comportement habituel lorsqu'on saute manuellement de sous-version.

Tu peux vérifier ce qui reste installé en exécutant dans un terminal la commande suivante :

rpm -qa | grep -i libreoffice

ainsi tu verras si les deux sont encore installées.
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Jean-M
Messages : 118
Inscription : 06 juin 2014, 23:21
Localisation : Pays basque

Re: [Résolu]Installation LibreOffice en erreur

Message par Jean-M » 05 octobre 2020, 12:04

OK, Merci !
Ça avait disparu des logiciels installés dans l'appli. Logiels et également du menu gnome " Application/Bureautique".
Mais les rpm étaient toujours installés.
Le nettoyage est fait avec la liste obtenue avec la commande «rpm -qa | grep -i libreoffice» et en y ajoutant toutes les dépendances.
Juste pour info :

Code : Tout sélectionner

rpm -e libreoffice6.3-6.3.5.2-2.x86_64 libreoffice6.3-dict-fr-6.3.5.2-2.x86_64 libreoffice6.3-ure-6.3.5.2-2.x86_64 libreoffice6.3-calc-6.3.5.2-2.x86_64 libreoffice6.3-fr-6.3.5.2-2.x86_64 libreoffice6.3-dict-en-6.3.5.2-2.x86_64 libreoffice6.3-math-6.3.5.2-2.x86_64 libreoffice6.3-impress-6.3.5.2-2.x86_64 libreoffice6.3-base-6.3.5.2-2.x86_64 libreoffice6.3-writer-6.3.5.2-2.x86_64 libreoffice6.3-draw-6.3.5.2-2.x86_64 libobasis6.3-libreofficekit-data-6.3.5.2-2.x86_64 libreoffice6.3-en-US-6.3.5.2-2.x86_64 libreoffice6.3-dict-es-6.3.5.2-2.x86_64 libobasis6.3-core-6.3.5.2-2.x86_64 libobasis6.3-extension-nlpsolver-6.3.5.2-2.x86_64 libobasis6.3-extension-pdf-import-6.3.5.2-2.x86_64 libobasis6.3-extension-report-builder-6.3.5.2-2.x86_64 libobasis6.3-gnome-integration-6.3.5.2-2.x86_64 libobasis6.3-firebird-6.3.5.2-2.x86_64 libobasis6.3-graphicfilter-6.3.5.2-2.x86_64 libobasis6.3-kde-integration-6.3.5.2-2.x86_64 libobasis6.3-onlineupdate-6.3.5.2-2.x86_64 libobasis6.3-ooolinguistic-6.3.5.2-2.x86_64 libobasis6.3-python-script-provider-6.3.5.2-2.x86_64 libobasis6.3-xsltfilter-6.3.5.2-2.x86_64 libobasis6.3-fr-6.3.5.2-2.x86_64 libobasis6.3-base-6.3.5.2-2.x86_64 libobasis6.3-impress-6.3.5.2-2.x86_64 libobasis6.3-writer-6.3.5.2-2.x86_64 libobasis6.3-calc-6.3.5.2-2.x86_64 libobasis6.3-draw-6.3.5.2-2.x86_64 libobasis6.3-en-US-6.3.5.2-2.x86_64 libobasis6.3-images-6.3.5.2-2.x86_64 libobasis6.3-math-6.3.5.2-2.x86_64 libobasis6.3-pyuno-6.3.5.2-2.x86_64 libobasis6.3-extension-beanshell-script-provider-6.3.5.2-2.x86_64 libobasis6.3-extension-javascript-script-provider-6.3.5.2-2.x86_64 libobasis6.3-extension-mediawiki-publisher-6.3.5.2-2.x86_64 libobasis6.3-fr-help-6.3.5.2-2.x86_64 libobasis6.3-postgresql-sdbc-6.3.5.2-2.x86_64 libobasis6.3-ogltrans-6.3.5.2-2.x86_64 libobasis6.3-librelogo-6.3.5.2-2.x86_64
Ça pourra peut-être servir à un autre rigolo comme moi qui souhaiterait utiliser une version non conforme de LibreOffice (nettoyage en changeant les numéro versions/release).
Jean-M - Retraité ex-Ingénieur d'étude sur Grands Systèmes et Consultant Qualité
Équipement : CentOS Linux 8.1 (sur fixe I5-4690+GT1030 16Go)

Avatar de l’utilisateur
nouvo09
Messages : 2195
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: [Résolu]Installation LibreOffice en erreur

Message par nouvo09 » 05 octobre 2020, 16:49

Voilà tu es prêt pour installer la version 7 à présent .
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Jean-M
Messages : 118
Inscription : 06 juin 2014, 23:21
Localisation : Pays basque

Re: [Résolu]Installation LibreOffice en erreur

Message par Jean-M » 05 octobre 2020, 19:33

Rigolo, mais pas trop casse-cou, je vais attendre une version stable de la 7.
Jean-M - Retraité ex-Ingénieur d'étude sur Grands Systèmes et Consultant Qualité
Équipement : CentOS Linux 8.1 (sur fixe I5-4690+GT1030 16Go)

Avatar de l’utilisateur
nouvo09
Messages : 2195
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: [Résolu]Installation LibreOffice en erreur

Message par nouvo09 » 05 octobre 2020, 21:32

Jean-M a écrit :
05 octobre 2020, 19:33
Rigolo, mais pas trop casse-cou, je vais attendre une version stable de la 7.
elle l'est, on en est déjà à la 7.0.1
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Répondre